import { put, call } from "redux-saga/effects";
import * as actions from './../../../actions/auth/signIn'
import axios from 'axios';


// worker-saga for signing in

export default function* ({ payload: requestBody }) {
    try {
        // console.log('received request body from sign-in worker saga', requestBody);
        const payload = yield call(() =>
            axios.post(`https://quiz.maxcrc.de/api/v1/user`, {...requestBody})
                .then(({ data }) => data)
        );
        // console.log("Payload", payload);
        yield put(actions.signInRequestSucces(payload));
    }
    catch ({ message }) {
        yield put(actions.signInRequestFailure(message))
    }
}